الانتقال إلى المحتوى الرئيسي
POST
/
image
/
edit
/api/v1/image/edit
curl --request POST \
  --url https://api.venice.ai/api/v1/image/edit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Colorize",
  "image": "iVBORw0KGgoAAAANSUhEUgAAAgAAAAIACAIAAAB7GkOtAAAAIGNIUk0A..."
}
'
"<string>"
هذه endpoint تجريبية وقد تخضع للتغيير.
التسعير: يختلف تسعير تحرير الصور حسب النموذج. النموذج الافتراضي (qwen-edit) هو $0.04 لكل عملية تحرير. راجع endpoint النماذج لجميع نماذج التحرير المتاحة وتسعيرها.

مستويات الجودة

تقبل بعض نماذج التحرير معاملًا اختياريًا quality (low أو medium أو high) يوازن بين دقة الصورة المرئية والتكلفة. مدعوم حاليًا من gpt-image-2-edit؛ تتجاهل النماذج الأخرى المعامل.
{
  "model": "gpt-image-2-edit",
  "image": "iVBORw0KGgo...",
  "prompt": "change the sky to a sunrise",
  "resolution": "2K",
  "quality": "medium"
}
عند حذف quality، يستخدم النموذج مستواه الافتراضي (high لـ gpt-image-2-edit). توجد الأسعار لكل مستوى (1K/2K/4K × low/medium/high) ضمن model_spec.pricing.quality في endpoint النماذج ومذكورة في نظرة عامة على التسعير.
التسعير المُدرِك للجودة هو الإعداد الافتراضي لجميع مستدعي API و SDK — لا يلزم header للموافقة. يتم احتساب الطلبات التي تحذف quality بالسعر الافتراضي للنموذج (high لـ gpt-image-2-edit).

مجموعة Postman

للمزيد من الأمثلة، يرجى مراجعة مجموعة Postman هذه.
يمنع النموذج الافتراضي (qwen-edit) الطلبات التي تحاول توليد صور جنسية صريحة، أو تجنيس القاصرين، أو تصوير عنف حقيقي. قد يكون لدى النماذج الأخرى سياسات محتوى مختلفة.

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

الجسم

Edit an image based on the supplied prompt.

image
مطلوب

The image to edit. Can be either a file upload, a base64-encoded string, or a URL starting with http:// or https://. Image dimensions must be at least 65536 pixels and must not exceed 33177600 pixels. File size must be less than 25MB.

prompt
string
مطلوب

The text directions to edit or modify the image. Short, descriptive prompts work best (e.g., "remove the tree", "change the sky to sunrise"). Character limit is model specific and is listed in the promptCharacterLimit setting in the model list endpoint.

Required string length: 1 - 32768
مثال:

"Change the color of the sky to a sunrise"

aspect_ratio
enum<string>

The aspect ratio for the output image. Use 'auto' or omit this parameter to infer the closest supported aspect ratio from the input image when explicit sizing is required by the model. Supported values vary by model - check GET /api/v1/models for model-specific options.

الخيارات المتاحة:
auto,
1:1,
3:2,
16:9,
21:9,
9:16,
2:3,
3:4,
4:5
مثال:

"16:9"

resolution
string

Resolution tier for the output image (e.g. "1K", "2K", "4K"). Supported values vary by model - check GET /api/v1/models for model-specific options. Defaults to "1K" when not specified.

Required string length: 1 - 10
مثال:

"1K"

model
string
افتراضي:firered-image-edit

The model ID to use for image editing.

Minimum string length: 1
modelId
enum<string>
مهمل

Deprecated: Use "model" instead. The model ID to use for image editing.

الخيارات المتاحة:
firered-image-edit,
qwen-edit,
qwen-edit-uncensored,
grok-imagine-edit,
grok-imagine-quality-edit,
qwen-image-2-edit,
qwen-image-2-pro-edit,
wan-2-7-pro-edit,
flux-2-max-edit,
gpt-image-2-edit,
gpt-image-1-5-edit,
nano-banana-2-edit,
nano-banana-pro-edit,
seedream-v5-lite-edit,
seedream-v4-edit
Minimum string length: 1
output_format
enum<string>

Output format for the edited image. Accepts jpeg, jpg, png, or webp. When omitted, the format is inferred from resolution: PNG for 1K edits and JPEG for 2K/4K edits.

الخيارات المتاحة:
jpeg,
png,
webp
مثال:

"png"

safe_mode
boolean
افتراضي:true

Whether to use safe mode. If enabled, this will blur images that are classified as having adult content.

مثال:

false

الاستجابة

OK

The response is of type file.